Skip to main content
POST
/
v1
/
responses
/
{id}
/
cancel
Cancel a response
curl --request POST \
  --url https://gomodel.example.com/v1/responses/{id}/cancel \
  --header 'Authorization: <api-key>'
{
  "created_at": 123,
  "error": {
    "code": "<string>",
    "message": "<string>"
  },
  "id": "<string>",
  "model": "<string>",
  "object": "<string>",
  "output": [
    {
      "arguments": "<string>",
      "call_id": "<string>",
      "content": [
        {
          "annotations": [
            {}
          ],
          "image_url": {
            "detail": "<string>",
            "media_type": "<string>",
            "url": "<string>"
          },
          "input_audio": {
            "data": "<string>",
            "format": "<string>"
          },
          "text": "<string>",
          "type": "<string>"
        }
      ],
      "id": "<string>",
      "name": "<string>",
      "role": "<string>",
      "status": "<string>",
      "type": "<string>"
    }
  ],
  "provider": "<string>",
  "status": "<string>",
  "usage": {
    "completion_tokens_details": {
      "accepted_prediction_tokens": 123,
      "audio_tokens": 123,
      "reasoning_tokens": 123,
      "rejected_prediction_tokens": 123
    },
    "input_tokens": 123,
    "output_tokens": 123,
    "prompt_tokens_details": {
      "audio_tokens": 123,
      "cached_tokens": 123,
      "image_tokens": 123,
      "text_tokens": 123
    },
    "raw_usage": {},
    "total_tokens": 123
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

Response ID

Query Parameters

provider
string

Provider override for native cancellation

Response

OK

created_at
integer
error
object
id
string
model
string
object
string

"response"

output
object[]
provider
string
status
string

"completed", "failed", "in_progress"

usage
object